=== debian/changelog ===
pyside (0.3.2-1maemo7) unstable; urgency=low

  * New release

 -- Luciano Miguel Wolf <luciano.wolf@openbossa.org>  Thu, 08 Jun 2010 11:32:49 -0300
